Package org.eclipse.remote.ui

# Interface IRemoteUIFileService

All Superinterfaces:
  `IRemoteConnectionType.Service`

All Known Implementing Classes:
  `RemoteUIFileService`

public interface IRemoteUIFileService extends IRemoteConnectionType.Service
Interface for providing file management operations in the UI. Clients can call these methods to open generic dialogs for operations on remote resources.

Since:
  2.0

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.remote.core.IRemoteConnectionType.Service

`IRemoteConnectionType.Service.Factory`

## Method Summary

Modifier and Type
Method
Description
`String`
`browseDirectory(org.eclipse.swt.widgets.Shell shell, String message, String initialPath, int flags)`
Browse for a remote directory.
`String`
`browseFile(org.eclipse.swt.widgets.Shell shell, String message, String initialPath, int flags)`
Browse for a remote file.
`List<String>`
`browseFiles(org.eclipse.swt.widgets.Shell shell, String message, String initialPath, int flags)`
Browse for a set of remote files.
`IRemoteConnection`
`getConnection()`
Get the last connection that was selected in the browser.
`void`
`setConnection(IRemoteConnection connection)`
Set the connection to use for file browsing.
`void`
`showConnections(boolean enable)`
Show a list of available connections if possible.

### Methods inherited from interface org.eclipse.remote.core.IRemoteConnectionType.Service

`getConnectionType`

## Method Details

### browseDirectory

String browseDirectory(org.eclipse.swt.widgets.Shell shell, String message, String initialPath, int flags)
Browse for a remote directory. The return value is the path of the directory on the remote system. Equivalent to `DirectoryDialog`.

Parameters:
  `shell` - workbench shell
  `message` - message to display in dialog
  `initialPath` - initial path to use when displaying files
  `flags` - option settings for dialog (not currently used) valid values are NONE (@see IRemoteUIConstants)
Returns:
  the path to the directory relative to the remote system or null if the browser was cancelled

### browseFile

String browseFile(org.eclipse.swt.widgets.Shell shell, String message, String initialPath, int flags)
Browse for a remote file. The return value is the path of the file on the remote system. Equivalent to `FileDialog`.

Parameters:
  `shell` - workbench shell
  `message` - message to display in dialog
  `initialPath` - initial path to use when displaying files
  `flags` - options settings for dialog valid values are NONE, SAVE, or OPEN (@see IRemoteUIConstants)
Returns:
  the path to the file relative to the remote system or null if the browser was cancelled

### browseFiles

List<String> browseFiles(org.eclipse.swt.widgets.Shell shell, String message, String initialPath, int flags)
Browse for a set of remote files. The return value is a list of paths of the files on the remote system. Equivalent to `FileDialog`.

Parameters:
  `shell` - workbench shell
  `message` - message to display in dialog
  `initialPath` - initial path to use when displaying files
  `flags` - options settings for dialog (@see IRemoteUIConstants) valid values are NONE, SAVE, or OPEN (@see IRemoteUIConstants)
Returns:
  list of paths to the files relative to the remote system or null if the browser was cancelled

### getConnection

IRemoteConnection getConnection()
Get the last connection that was selected in the browser.

Returns:
  selected connection

### setConnection

void setConnection(IRemoteConnection connection)
Set the connection to use for file browsing. The connection must support the IRemoteFileService service or it will be ignored.

Parameters:
  `connection` - connection to use for file browsing

### showConnections

void showConnections(boolean enable)
Show a list of available connections if possible.

Parameters:
  `enable` - enable connection list